@echo off
setlocal enabledelayedexpansion

REM --------------EDIT VARIABLES BELOW--------------

REM folder with all the split .shp files
set splitfolder="C:\gps_maps\StateTopo\QGIS\Split"
REM folder containing GPSFDshp2mp.exe
set gpsfdshp2mpfolder="C:\gps_maps\GPSFDshp2mp"
REM main dictionary file
set dictionary_file="C:\gps_maps\StateTopo\dictionary_header.mp"
REM blank dictionary file 
set dictionary_blank="C:\gps_maps\StateTopo\empty_dictionary.mp"
REM Name of map
set mapname="My Topo"
REM initial map ID; must be 8 digits, don't start with a 0 (zero)
set /A initialmapid=11111100

REM --------------DO NOT EDIT FROM HERE DOWN--------------

set /A count=1
cd %splitfolder%
for /r %%f in (*.shp) do (
	REM get just the filename
	set filename=%%~nf 
	REM make map name unique for each file
	set "finalmapname="!mapname:"=! !count!"" 
	if "!filename:~0,4!" == "Line" ( 
		%gpsfdshp2mpfolder%\gpsfdshp2mp.exe %%f "MP_TYPE" "NAME" n %dictionary_file% !initialmapid! !finalmapname! 
	)
	if "!filename:~0,5!" == "Point" ( 
		%gpsfdshp2mpfolder%\gpsfdshp2mp.exe %%f "MP_TYPE" "NAME" n %dictionary_blank% !initialmapid! !finalmapname! 
	)
	if "!filename:~0,7!" == "Polygon" ( 
		%gpsfdshp2mpfolder%\gpsfdshp2mp.exe %%f "MP_TYPE" "NAME" n %dictionary_blank% !initialmapid! !finalmapname! 
	)
	set /A initialmapid+=1
	set /A count+=1
)